WHMCS - Bug # 300: User can view any ticket from

whmeces account

Status: Resolved Priority: High
Author: Vitaliy Category:

Created: 01 Oct 2013 Assignee:

Updated: 27 Feb 2014 Due date:

Subject: User can view any ticket from whmcs account

Description: Hello,

We faced with issue, customer from whmcs clientarea can view all tickets ,

If user know ticket ID it's will be possible to view other customers ticket

History

10/04/2013 01:52 am - Damien Burke
| am not able to reproduce this issue.

It seems that | get "We are sorry, but you have no permission to view this ticket." notice when attempting to access other tickets.

10/04/2013 09:42 am - Vitaliy

When | open ticket from whmcs in the browser i see link like https://mybillingsite/viewticket.php?ticketid=1369109

And if i change ticketid to add some +1 like https://mybillingsite/viewticket.php?ticketid=1369110 i can view it but this ticket doesn't assign to this

customer :)

10/22/2013 02:27 am - Vitaliy

Let me give you access to our billing system and you can see the problem.

10/22/2013 02:57 am - Amarjeet Kaur

- File Screen_Shot_2013-10-22_at_1.21.18_PM.png added

Hi Vitaly,

We have resolved this issue in last uploaded build "v01.00.02".

Kindly check the attached screenshot with respective error message.

Thank you,

Amarjeet Kaur

10/29/2013 06:32 am - Vitaliy
Hi,

Yes it help.
Thank you.

02/20/2014 03:58 am - Mansi Wason

- Status changed from New to Closed

02/27/2014 04:22 am - Mansi Wason
- Status changed from Closed to Resolved
